org.apache.fontbox.ttf

## Class CFFTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.CFFTable

    public class CFFTable
    extends TTFTable

PostScript font program (compact font format).

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`CFFFont` `getFont()` Returns the CFF font, which is a compact representation of a PostScript Type 1, or CIDFont

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getFont

    public CFFFont getFont()

Returns the CFF font, which is a compact representation of a PostScript Type 1, or CIDFont

Returns:
  the associated CFF font